Summary: Isearch text search engine
Name: Isearch
Version: 1.42
Release: 1
Copyright: distributable
Group: Utilities/Text
URL: http://www.etymon.com/Isearch/
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-root
Source: http://www.etymon.com/pub/software/Isearch/Isearch-%{version}.tar.gz
%description
Isearch is software for indexing and searching text documents.  It
supports full text and field based search, relevance ranked results,
Boolean queries, and heterogeneous databases.  Isearch can parse many
kinds of documents "out of the box," including HTML, mail folders,
list digests, SGML-style tagged data, and USMARC.  It can be extended
to support other formats by creating descendant classes in C++ that
define the document structure.  It is pretty easy to customize in this
way, provided that you know some C++ (and you will need to ftp the
source code).  A CGI interface is also included for web based
searching.

%prep
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/home/httpd/{databases,cgi-bin}
%setup -n Isearch-%{version}

%build
make "CFLAGS=-DUNIX -fwritable-strings -fpermissive"
cp -f Isearch-cgi/Configure $RPM_BUILD_ROOT/usr/bin/Isearch-cgi-Configure
$RPM_BUILD_ROOT/usr/bin/Isearch-cgi-Configure /home/httpd/databases
rm -f $RPM_BUILD_ROOT/usr/bin/Isearch-cgi-Configure
gzip -9 CHANGES COPYRIGHT README
gzip -9r doc

%install
mv -f isearch $RPM_BUILD_ROOT/home/httpd/cgi-bin
mv -f ifetch $RPM_BUILD_ROOT/home/httpd/cgi-bin
mv -f ihtml $RPM_BUILD_ROOT/home/httpd/cgi-bin
# the Configure script gets the paths in the cgi scripts wrong; correct them
perl -pi -e 's,exec \S+/(\S+)\ ,exec /usr/bin/$1 ,' $RPM_BUILD_ROOT/home/httpd/cgi-bin/*
make INSTALL=$RPM_BUILD_ROOT/usr/bin install
cp Isearch-cgi/isrch_srch $RPM_BUILD_ROOT/usr/bin
cp Isearch-cgi/isrch_fetch $RPM_BUILD_ROOT/usr/bin
cp Isearch-cgi/isrch_html $RPM_BUILD_ROOT/usr/bin
cp Isearch-cgi/search_form $RPM_BUILD_ROOT/usr/bin

%post
if [ ! -d /home/httpd/databases ]; then
	mkdir -p /home/httpd/databases
fi

%postun
rm -rf /home/httpd/databases

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc CHANGES.gz COPYRIGHT.gz README.gz doc
/usr/bin/*
/home/httpd/cgi-bin/*

%changelog
* Wed Oct 27 1999 Roger Luethi <rluethi@turbolinux.com>
- 1.42: rewrite from scratch, now uses RPM_BUILD_ROOT, and as there was no
  changelog up to now, initial release, too, kind of.
- more and gzipped documentation
- binaries moved from /usr/local/bin to /usr/bin
